Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.jayasoft.ivy.xml
Class XmlModuleDescriptorParser

    java.lang.Object
      fr.jayasoft.ivy.parser.AbstractModuleDescriptorParser
          fr.jayasoft.ivy.xml.XmlModuleDescriptorParser

All Implemented Interfaces:
  ModuleDescriptorParser

public class XmlModuleDescriptorParser
extends AbstractModuleDescriptorParser

Parses an xml ivy file and output a ModuleDescriptor. For dependency and performance reasons, it does uses only the SAX API, which makes the parsing code harder to understand.

Author:
  x.hanin

Nested Class Summary

Nested classes inherited from class fr.jayasoft.ivy.parser.AbstractModuleDescriptorParser
`AbstractModuleDescriptorParser.AbstractParser`

Method Summary
`boolean` | `accept(Resource res)`
`static XmlModuleDescriptorParser` | `getInstance()`
`static void` | `main(java.lang.String[] args)`
`ModuleDescriptor` | `parseDescriptor(Ivy ivy, java.net.URL xmlURL, Resource res, boolean validate)`
`void` | `toIvyFile(java.net.URL srcURL, Resource res, java.io.File destFile, ModuleDescriptor md)`
`java.lang.String` | `toString()`

Methods inherited from class fr.jayasoft.ivy.parser.AbstractModuleDescriptorParser
`parseDescriptor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getInstance

    public static XmlModuleDescriptorParser getInstance()

### parseDescriptor

    public ModuleDescriptor parseDescriptor(Ivy ivy,
                                            java.net.URL xmlURL,
                                            Resource res,
                                            boolean validate)
                                     throws java.text.ParseException,
                                            java.io.IOException

  Parameters:
    `ivy` -
    `xmlURL` - the url pointing to the file to parse
    `res` - the real resource to parse, used for log only
    `validate` -
  Returns:
  Throws:
    `java.text.ParseException`
    `java.io.IOException`

### accept

    public boolean accept(Resource res)

### toIvyFile

    public void toIvyFile(java.net.URL srcURL,
                          Resource res,
                          java.io.File destFile,
                          ModuleDescriptor md)
                   throws java.io.IOException,
                          java.text.ParseException

  Throws:
    `java.io.IOException`
    `java.text.ParseException`

### toString

    public java.lang.String toString()

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD